﻿namespace Shared
{
    public interface IGenericService<T> where T : class
    {
        public Task<T?> AddItem<T>(T? item) where T : class;
        public Task<bool> DeleteItem<T>(int id) where T : class;

        public Task<T> UpdateItem<T, TDto>(int? id, TDto? newItem) where T : class where TDto : class;
    }
}
